## PopupMenu.PopupSubMenu PopupMenu.PopupSubMenu — A submenu that can show and hide |

## Functions

| _init ()
| open ()
| close ()

## Properties

St.ScrollView | actor |

## Object Hierarchy

        Object
        ╰── PopupMenu.PopupMenuBase
            ╰── PopupMenu.PopupSubMenu

## Description

A submenu to be included in `PopupMenus`/`PopupMenuSections`. You usually don't want to create these manually. Instead you want to create a `PopupSubMenuMenuItem`, which creates a `PopupSubMenu`, and shows/hides the menu when clicked.

Since submenus are usually used to hide long lists of things, they are automatically put into a `St.ScrollView` such that their height will be limited by the css max-height property.

## Functions

### _init ()

    _init (St.Widget   sourceActor,
           St.Icon     sourceArrow);

#### Parameters

sourceActor | the actor that owns the popup menu |
sourceArrow | (optional) a little arrow object inside the `PopupSubMenuMenuItem`. When the submenu opens, the arrow is rotated by pi/2 clockwise to denote the status of the submenu. |

### open ()

    open (boolean   animate);

Opens the submenu

#### Parameters

animate | whether the animate the open effect |

### close ()

    close (boolean   animate);

Closes the submenu

#### Parameters

animate | whether the animate the close effect |

## Property Details

### The “actor” property

      “actor”                St.ScrollView

The actor of the submenu.